export EDGE_TARGET_AUTOSDK__WITH_NN_CAR_DETECTOR=0
export EDGE_TARGET_AUTOSDK__WITH_NN_PLATE_DETECTOR=0
export EDGE_TARGET_AUTOSDK__WITH_CUSTOM_PLATES=0

#
# type: string[]
# name: VPW_DNN_DEVICES
# capi: VodiCTL_VPW_DNN_DEVICES
# desc: A space-delimited list of devices on which the Deep Neural Network will run.
# vers: 2.9.0+
# vals: CPU, iGPU, nvGPU, MYRIAD, [pd-2:igpu,lsd:cpu,ssd:cpu,cd:cpu]
#   pd-2 => plate-detector-2
#   lsd  => long-symbol-detector
#   ssd  => short-symbol-detector
#   cd   => car-detector
#
export VPW_DNN_DEVICES=[pd-2:igpu,lsd:cpu,ssd:cpu,cd:cpu]

if [ "${EDGE_TARGET_AUTOSDK__WITH_NN_CAR_DETECTOR}" -eq 1 ]; then
  export VPW_CARCANDS_MODE=2
fi

export VPW_APPROXIMATING_CAR_RECT=0

if [ "${EDGE_TARGET_AUTOSDK__WITH_NN_PLATE_DETECTOR}" -eq 1 ]; then
  export VPW_PLATECANDS_METHODS=4
  export VPW_PLATECANDS_BY_DNN_VARIATE=0
  export VPW_PLATE_ANALYSE_METHODS=32

  if [ "${EDGE_TARGET_AUTOSDK__WITH_CUSTOM_PLATES}" -eq 1 ]; then
    export VPW_TREAT_SYMBOLS_AS_TEXT=1
    export VPW_SYMBOLS_MERGE_IOU_MIN=0.4
  fi
fi

export KMP_AFFINITY=granularity=fine,compact,1,0
export OMP_NUM_THREADS=1
